fmt_8long(3)

NAME
fmt_8long - write an octal ASCII representation of an unsigned long integer

SYNTAX
#include <libowfat/fmt.h> size_t fmt_8long(char *dest,size_t source);

DESCRIPTION
fmt_8long writes an ASCII representation ('0' to '7', base 8) of source to dest and returns the number of bytes written. fmt_8long does not append \0. If dest equals FMT_LEN (i.e. is zero), fmt_8long returns the number of bytes it would have written. For convenience, fmt.h defines the integer FMT_8LONG to be big enough to contain every possible fmt_8long output plus \0.

SEE ALSO
scan_8long(3)